AllocatorWithCleanup< T, T_Align16 >::rebind< V > Struct Template Reference

Template class member Rebind. More...

`#include <secblock.h>`

## Public Types

typedef AllocatorWithCleanup< V, T_Align16 > | other

## Detailed Description

template<class T, bool T_Align16 = false>
template<class V>
struct AllocatorWithCleanup< T, T_Align16 >::rebind< V >

Template class member Rebind.

Template Parameters

  V | bound class or type

Rebind allows a container class to allocate a different type of object to store elements. For example, a std::list will allocate std::list_node to store elements in the list.

VS.NET STL enforces the policy of "All STL-compliant allocators have to provide a template class member called rebind".

Definition at line 272 of file secblock.h.

## Member Typedef Documentation

## other

template<class T, bool T_Align16 = false>
template<class V>

typedef AllocatorWithCleanup<V, T_Align16> AllocatorWithCleanup< T, T_Align16 >::rebind< V >::other

Definition at line 272 of file secblock.h.

The documentation for this struct was generated from the following file:

- secblock.h